var generator = {

  app: function () {
    return   'var kibu = require("kibu")\n'
           + '  , app = kibu.application();\n'
           + 'exports = module.exports = app;';
  },

  appConfig: function () {
    return   'exports = module.exports = {\n'
           + '  paths: {\n'
           + '    controllers: "/app/controllers/"\n'
           + '  },\n'
           + '  middleware: [\n'
           + '    {\n'
           + '      logger: {\n'
           + '        options: {}\n'
           + '      }\n'
           + '    },\n'
           + '    {\n'
           + '      test: {\n'
           + '        options: {\n'
           + '          args: ["fart"]\n'
           + '        }\n'
           + '      }\n'
           + '    },\n'
           + '    {\n'
           + '      router: {\n'
           + '        options: {}\n'
           + '      }\n'
           + '    }\n'
           + '  ]\n'
           + '};';
  },

  homeController: function () {
    return   'exports = module.exports = {\n'
           + '  index: function (req, res) {\n'
           + '    res.end("DOMO.");\n'
           + '  }\n'
           + '};';
  },

  package: function (appname) {
    return   '{\n'
           + '  "name": "' + appname + '",\n'
           + '  "version": "0.0.0",\n'
           + '  "description": "{Enter ' + appname + ' description here}",\n'
           + '  "main": "' + appname + '.js",\n'
           + '  "scripts": {},\n'
           + '  "repository": {\n'
           + '    "type": "",\n'
           + '    "url": ""\n'
           + '  },\n'
           + '  "author": "",\n'
           + '  "license": "",\n'
           + '  "readmeFilename": "README.md",\n'
           + '  "dependencies": {\n'
           + '    "kibu": "latest"\n'
           + '  },\n'
           + '  "devDependencies": {\n'
           + '  }\n'
           + '}';
  },

  readme: function (appname) {
    return   '# ' + appname + '\n'
           + appname + ' description.';
  },

  routes: function () {
    return   'exports = module.exports = {\n'
           + '  "/": "home#index"\n'
           + '};';
  },

  server: function () {
    return   'var app = require("../app");\n'
           + 'exports = module.exports = {\n'
           + '  serve: function (port) {\n'
           + '    app.listen(port);\n'
           + '    console.log("kibu is listening on port " + port);\n'
           + '  }\n'
           + '};'
  }

};

exports = module.exports = generator;