exports = module.exports = function logger(options) {

  var stream = options.stream || process.stdout;

  return function logger(req, res, next) {

    function log() {
      res.removeListener('finish', log);
      res.removeListener('close', log);
      stream.write((req.url + '\n').blue);
    }

    res.on('finish', log);
    res.on('close', log);

    next();
  };
};